Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class ProfileRable

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.ProfileRable

All Implemented Interfaces:
  RenderableImage, Filter

    public class ProfileRable

extends AbstractRable

Implements the interface expected from a color matrix operation

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`ProfileRable(Filter src, ICCColorSpaceExt colorSpace)` Instances should be built through the static factory methods

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`ICCColorSpaceExt` | `getColorSpace()` Returns the ColorSpace of the Profile operation
`Filter` | `getSource()` Returns the source of the blur operation
`void` | `setColorSpace(ICCColorSpaceExt colorSpace)` Sets the ColorSpace of the Profile operation
`void` | `setSource(Filter src)` Sets the source of the blur operation

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileRable

    public ProfileRable(Filter src,
                        ICCColorSpaceExt colorSpace)

  Instances should be built through the static factory methods

Method Detail

### setSource

    public void setSource(Filter src)

  Sets the source of the blur operation

### getSource

    public Filter getSource()

  Returns the source of the blur operation

### setColorSpace

    public void setColorSpace(ICCColorSpaceExt colorSpace)

  Sets the ColorSpace of the Profile operation

### getColorSpace

    public ICCColorSpaceExt getColorSpace()

  Returns the ColorSpace of the Profile operation

### createRendering

    public RenderedImage createRendering(RenderContext rc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.